{ config, lib, pkgs, self, ... }:

let
  cfg = config.samfelag.modules.tailscale;
in
{
  options.samfelag.modules.tailscale = {
    enable = lib.mkEnableOption "tailscale";
  };

  config = lib.mkIf cfg.enable {
    services.tailscale = {
      enable = true;
    };
  };
}
